export const validateHTML = async (options)=>{
    const { htmlData } = options;
    const url = new URL("https://validator.w3.org/nu/");
    url.searchParams.set("out", "json");
    const response = await fetch(url, {
        method: "POST",
        body: htmlData,
        headers: {
            "Content-Type": "text/html"
        }
    });
    if (!response.ok) {
        throw new Error(response.statusText);
    }
    const result = await response.json();
    return result;
};
export const getHTMLFromURL = async (url)=>{
    const response = await fetch(url);
    if (!response.ok) {
        throw new Error(`Failed to fetch HTML from "${url}"`);
    }
    const html = await response.text();
    return html;
};

//# sourceMappingURL=validateHTML.js.map